org.apache.tools.ant.types.selectors

## Interface SelectorScanner

All Known Implementing Classes:
  ArchiveScanner, DependScanner, DirectoryScanner, FTP.FTPDirectoryScanner, FTPTaskMirrorImpl.FTPDirectoryScanner, TarScanner, ZipScanner

    public interface SelectorScanner

An interface used to describe the actions required by any type of directory scanner that supports Selectors.

Since:
  1.5

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String[]` `getDeselectedDirectories()` Directories which were selected out of a scan.
`java.lang.String[]` `getDeselectedFiles()` Files which were selected out of a scan.
`void` `setSelectors(FileSelector[] selectors)` Sets the selectors the scanner should use.

### Method Detail

#### setSelectors

    void setSelectors(FileSelector[] selectors)

Sets the selectors the scanner should use.

Parameters:
  `selectors` - the list of selectors

#### getDeselectedDirectories

    java.lang.String[] getDeselectedDirectories()

Directories which were selected out of a scan.

Returns:
  list of directories not selected

#### getDeselectedFiles

    java.lang.String[] getDeselectedFiles()

Files which were selected out of a scan.

Returns:
  list of files not selected